namespace Passer.LinearAlgebra
{
    public class Spherical
    {
        public float distance;
        public Direction direction;

        public static Spherical zero = new(0, 0, 0);

        public Spherical(float distance, float horizontal, float vertical)
        {
            this.distance = distance;
            this.direction = new Direction(horizontal, vertical);
        }
        public Spherical(float distance, Direction direction) {
            this.distance = distance;
            this.direction = direction;
        }
    }
}